Serviceability

Manages logistics and shipping, including tracking orders, managing shipments, and calculating shipping costs.

Country & Locality Information

Handle large-scale operations related to locality data. It retrieve bulk locality data history, import bulk locality data, export bulk locality data, and download locality data templates to facilitate efficient management of location-related information.

Operations
GET
/service/platform/logistics/v2.0/company/{company_id}/countries
# Get all countries and associated data
GET

Get all countries and associated data

Retrieve a list of countries for logistical purposes.
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular sale channel.
onboardquery
boolean
Only fetch countries which allowed for onboard on Platform.
page_noquery
integer
The page number to navigate through the given set of results. Default value is 1.
Default Value : 1
page_sizequery
integer
| value <= 300
The number of items to retrieve in each page. Default value is 12
Default Value : 12
qquery
string
The search string to search in the list of countries by name.
hierarchyquery
string
The search filter to filter countries based on their available hierarchy.
Enum
GET
/service/platform/logistics/v2.0/company/{company_id}/countries
Loading...
Response
200
400
Successfully retrieved all countries with associated data.
Hide
Represents the result of a request for a list of countries, including details of each country and pagination information for navigating through large sets of data.
items
array of object (GetCountriesItems)
A list of country objects containing detailed information about each country.
Show
page
object (Page)
Show
Response
Loading...

Courier Partner Setup & Rules

Courier partners are organizations that offer delivery services for packages, parcels, documents, or goods. This resource allows sellers to create schemes, which are predefined plans with various preconfigured settings. Sellers can then utilize these schemes to create accounts and choose self-shipping options if desired. Once set up, sellers can utilize these accounts to establish rules based on factors like customer location and product type. These rules assist in efficiently managing delivery partners and prioritizing deliveries based on specific criteria. For example, a seller specializing in furniture can choose self-ship for items that require assembly and assign a partner for other furniture items.

Operations
POST
/service/platform/logistics/v1.0/company/{company_id}/courier-partner/account
# Create courier account
GET
/service/platform/logistics/v1.0/company/{company_id}/courier-partner/account
# List courier accounts
PUT
/service/platform/logistics/v1.0/company/{company_id}/courier-partner/account/{account_id}
# Update courier account
GET
/service/platform/logistics/v1.0/company/{company_id}/courier-partner/account/{account_id}
# Get courier account
PUT
/service/platform/logistics/v1.0/company/{company_id}/configuration
# Update delivery configuration
GET
/service/platform/logistics/v1.0/company/{company_id}/configuration
# Get delivery configuration
POST
/service/platform/logistics/v2.0/company/{company_id}/courier-partner/{extension_id}/scheme/{scheme_id}/tat
# Locality TAT import or export
GET
/service/platform/logistics/v2.0/company/{company_id}/courier-partner/{extension_id}/scheme/{scheme_id}/tat
# Locality TAT change history
POST
/service/platform/logistics/v2.0/company/{company_id}/courier-partner/{extension_id}/scheme/{scheme_id}/serviceability/bulk
# Bulk update serviceability of localities
GET
/service/platform/logistics/v2.0/company/{company_id}/courier-partner/{extension_id}/scheme/{scheme_id}/serviceability/bulk
# Bulk update history
GET
/service/platform/logistics/v1.0/company/{company_id}/courier-partner/list
# Fetching of Package Material Rules from database.
GET
/service/platform/logistics/v1.0/company/{company_id}/selfship
# Get self-ship details
PATCH
/service/platform/logistics/v1.0/company/{company_id}/selfship
# Update self-ship details
POST

Create courier account

Retrieves a list of courier partner accounts.
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular sale channel.
Request body
extension_id
string
Required
The unique identifier for the extension linked to the courier account.
account_id
string
The unique identifier for the courier account.
scheme_id
string
Required
The identifier for the scheme associated with the courier account.
is_self_ship
boolean
Required
Indicates whether the courier account supports self-shipping (true if it does, false otherwise).
stage
string
Required
The current stage of the courier account, either 'enabled' or 'disabled'.
Enum
is_own_account
boolean
Required
Indicates whether the courier account is an own account (true if it is, false otherwise).
POST
/service/platform/logistics/v1.0/company/{company_id}/courier-partner/account
Loading...
Response
200
400
Response status_code
Hide
Represents the details of a courier account, including information about the associated extension, scheme, self-shipping status, and the account’s stage.
extension_id
string
The unique identifier for the extension linked to the courier account.
account_id
string
The unique identifier for the courier account.
scheme_id
string
The identifier for the scheme associated with the courier account.
is_self_ship
boolean
Indicates whether the courier account supports self-shipping (true if it does, false otherwise).
stage
string
The current stage of the courier account, either 'enabled' or 'disabled'.
Enum
is_own_account
boolean
Indicates whether the courier account is an own account (true if it is, false otherwise).
Response
Loading...
GET

List courier accounts

Retrieves a list of courier partner accounts.
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular sale channel.
page_noquery
integer
| value >= 1
The current page number for paginated results.
Default Value : 1
page_sizequery
integer
| value >= 1
Determines the items to be displayed in a page
Default Value : 10
stagequery
string
Stage of the account.
Enum
payment_modequery
string
Filters dp accounts based on payment mode
transport_typequery
string
Filters dp accounts based on transport_type
Enum
account_idsquery
array of string
Filters dp accounts based on their ids
self_shipquery
boolean
To filter self ship/non self ship dp accounts
own_accountquery
boolean
Filters seller owned or Fynd Managed dp accounts
qquery
string
Filters dp accounts based on case sensitive partial account name
GET
/service/platform/logistics/v1.0/company/{company_id}/courier-partner/account
Loading...
Response
200
Response status_code
Hide
items
array of object (CourierAccountResult)
An array containing multiple instances of CourierAccountResult, which details individual courier accounts.
Show
page
object (Page)
Show
Examples
Parameters
company_id:
123
page_no:
1
page_size:
10
payment_mode:
"COD"
transport_type:
"surface"
account_ids:
"67a3c8e60fd6c66371f3665d"
self_ship:
true
own_account:
true
q:
"Scheme 2"
Response
Loading...
PUT

Update courier account

Updates an existing courier partner account.
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular sale channel.
account_idpath
string
Required
Unique ID of courier account
Request body
extension_id
string
Required
The unique identifier for the extension linked to the courier account.
account_id
string
The unique identifier for the courier account.
scheme_id
string
Required
The identifier for the scheme associated with the courier account.
is_self_ship
boolean
Required
Indicates whether the courier account supports self-shipping (true if it does, false otherwise).
stage
string
Required
The current stage of the courier account, either 'enabled' or 'disabled'.
Enum
is_own_account
boolean
Required
Indicates whether the courier account is an own account (true if it is, false otherwise).
PUT
/service/platform/logistics/v1.0/company/{company_id}/courier-partner/account/{account_id}
Loading...
Response
200
400
Response status_code
Hide
Represents the details of a courier account, including information about the associated extension, scheme, self-shipping status, and the account’s stage.
extension_id
string
The unique identifier for the extension linked to the courier account.
account_id
string
The unique identifier for the courier account.
scheme_id
string
The identifier for the scheme associated with the courier account.
is_self_ship
boolean
Indicates whether the courier account supports self-shipping (true if it does, false otherwise).
stage
string
The current stage of the courier account, either 'enabled' or 'disabled'.
Enum
is_own_account
boolean
Indicates whether the courier account is an own account (true if it is, false otherwise).
Response
Loading...
GET

Get courier account

Retrieves a single courier partner account.
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular sale channel.
account_idpath
string
Required
Unique ID of courier account
GET
/service/platform/logistics/v1.0/company/{company_id}/courier-partner/account/{account_id}
Loading...
Response
200
400
Response status_code
Hide
This object represents the details of a courier account, including various properties that define the account's characteristics and operational parameters.
account_id
string
A string that uniquely identifies the courier account.
company_id
integer
The unique identifier of the company.
scheme_id
string
A string that specifies the unique identifier for the scheme associated with the account
extension_id
string
A string that uniquely identifies the courier partner extension.
is_self_ship
boolean
A boolean indicating whether the account is for self-shipping.
stage
string
A string indicating the current stage of the account, which can be either enabled or disabled.
Enum
is_own_account
boolean
A boolean indicating whether the account is owned by the company.
scheme_rules
object (CourierPartnerSchemeModel)
Show
Response
Loading...
PUT

Update delivery configuration

Updates an existing delivery setup for a company, including the ability to adjust self-shipping preferences.
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular sale channel.
fulfillment_option_slugquery
string
Required
Slug representing the fulfillment option.
Request body
is_rate_card_enabled
boolean
Enables rate card feature at company level. Rate card rule engine runs only if rate card is configured at delivery partner scheme level.
Default Value : false
sort
array of string
An array of strings specifying sorting preferences.
Enum
PUT
/service/platform/logistics/v1.0/company/{company_id}/configuration
Loading...
Response
200
400
Response status_code
Hide
company_id
integer
The unique identifier of the company.
is_rate_card_enabled
boolean
Enables rate card feature at company level. Rate card rule engine runs only if rate card is configured at delivery partner scheme level.
Default Value : false
sort
array of string
Array defining the sorting order.
Enum
logistics_as_actual
string
Defines the logistics control type.
Enum
Response
Loading...
GET

Get delivery configuration

Retrieves information about the delivery setup for a company
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular sale channel.
GET
/service/platform/logistics/v1.0/company/{company_id}/configuration
Loading...
Response
200
400
Response status_code
Hide
company_id
integer
The unique identifier of the company.
is_rate_card_enabled
boolean
Enables rate card feature at company level. Rate card rule engine runs only if rate card is configured at delivery partner scheme level.
Default Value : false
sort
array of string
Array defining the sorting order.
Enum
logistics_as_actual
string
Defines the logistics control type.
Enum
Response
Loading...
POST

Locality TAT import or export

Updates locality wise TAT(Turn Around Time) for particular courier scheme using CSV file. Export locality wise CSV files.
Parameters
company_idpath
integer
Required
Unique identifier of the company.
extension_idpath
string
Required
Unique Identifier of courier partner extension.
scheme_idpath
string
Required
Unique identifier for the scheme, used to fetch or modify scheme details.
Request body
file_path
string
Path to the file used in the bulk operation.
country
string
Required
Country involved in the bulk operation.
action
string
Required
Action type for the bulk operation, either import or export.
Enum
region
string
Required
Region involved in the bulk operation.
POST
/service/platform/logistics/v2.0/company/{company_id}/courier-partner/{extension_id}/scheme/{scheme_id}/tat
Loading...
Response
200
400
Success
Hide
file_path
string
Path to the file associated with the result item.
failed
integer
Number of failed records in the operation.
failed_records
array of object
Array of failed records with additional properties.
action
string
Action type for the result item.
batch_id
string
A unique identifier for the performed batch operation.
country
string
Country associated with the result item.
success
integer
Number of successful records in the operation.
region
string
Region associated with the result item.
status
string
Current status of the result item.
Enum
total
integer
Total number of records processed.
error_file_path
string
Path to the file containing error details.
modified_on
string
| date-time
The timestamp when the record last modified.
created_on
string
| date-time
The timestamp when the record was created.
Response
Loading...
GET

Locality TAT change history

Retrieves the history of changes made to TAT(Turn Around Time) for scheme.
Parameters
company_idpath
integer
Required
Unique identifier of the company.
extension_idpath
string
Required
Unique Identifier of courier partner extension.
scheme_idpath
string
Required
Unique identifier for the scheme, used to fetch or modify scheme details.
page_noquery
integer
| value >= 1
The current page number for paginated results.
Default Value : 1
page_sizequery
integer
| value >= 1
Determines the items to be displayed in a page
Default Value : 12
batch_idquery
string
Unique identifier of bulk job
actionquery
string
Import or export bulk type
Enum
statusquery
string
Nullable
Status of the bulk actions
Enum
countryquery
string
Country for which bulk job is initiated
regionquery
string
Region for which bulk job is initiated
start_datequery
string
| date-time
Fetch job history after a particule date
end_datequery
string
| date-time
Fetch job history before a particule date
GET
/service/platform/logistics/v2.0/company/{company_id}/courier-partner/{extension_id}/scheme/{scheme_id}/tat
Loading...
Response
200
Success
Hide
items
array of object (BulkRegionResultItemData)
Array of bulk region result items.
Show
page
object (Page)
Show
Examples
Parameters
company_id:
1
extension_id:
"651ffabb556007fa462c9c06"
scheme_id:
"651ffcb8400bbc458aa4ac7d"
page_no:
1
page_size:
1
batch_id:
"000000000000000000000001"
action:
"import"
status:
"true"
country:
"INDIA"
region:
"MAHARASTRA"
start_date:
"2023-09-12T00:00:00.000000"
end_date:
"2023-09-12T23:59:59.999999"
Response
Loading...
POST

Bulk update serviceability of localities

Bulk operations involve either new serviceability settings or updating existing ones in large quantities.
Parameters
company_idpath
integer
Required
Unique identifier of the company.
extension_idpath
string
Required
Unique Identifier of courier partner extension.
scheme_idpath
string
Required
Unique identifier for the scheme, used to fetch or modify scheme details.
Request body
file_path
string
Path to the file used in the bulk operation.
country
string
Required
Country involved in the bulk operation.
action
string
Required
Action type for the bulk operation, either import or export.
Enum
region
string
Required
Region involved in the bulk operation.
POST
/service/platform/logistics/v2.0/company/{company_id}/courier-partner/{extension_id}/scheme/{scheme_id}/serviceability/bulk
Loading...
Response
200
400
Success
Hide
file_path
string
Path to the file associated with the result item.
failed
integer
Number of failed records in the operation.
failed_records
array of object
Array of failed records with additional properties.
action
string
Action type for the result item.
batch_id
string
A unique identifier for the performed batch operation.
country
string
Country associated with the result item.
success
integer
Number of successful records in the operation.
region
string
Region associated with the result item.
status
string
Current status of the result item.
Enum
total
integer
Total number of records processed.
error_file_path
string
Path to the file containing error details.
modified_on
string
| date-time
The timestamp when the record last modified.
created_on
string
| date-time
The timestamp when the record was created.
Response
Loading...
GET

Bulk update history

Retrieves the history of changes made to serviceability settings for a scheme.
Parameters
company_idpath
integer
Required
Unique identifier of the company.
extension_idpath
string
Required
Unique Identifier of courier partner extension.
scheme_idpath
string
Required
Unique identifier for the scheme, used to fetch or modify scheme details.
page_noquery
integer
| value >= 1
The current page number for paginated results.
Default Value : 1
page_sizequery
integer
| value >= 1
Determines the items to be displayed in a page
Default Value : 12
batch_idquery
string
Unique identifier of bulk job
actionquery
string
Import or export bulk type
Enum
statusquery
string
Nullable
Status of the bulk actions
Enum
countryquery
string
Country for which bulk job is initiated
regionquery
string
Region for which bulk job is initiated
start_datequery
string
| date-time
Fetch job history after a particule date
end_datequery
string
| date-time
Fetch job history before a particule date
GET
/service/platform/logistics/v2.0/company/{company_id}/courier-partner/{extension_id}/scheme/{scheme_id}/serviceability/bulk
Loading...
Response
200
404
Success
Hide
items
array of object (BulkRegionResultItemData)
Array of bulk region result items.
Show
page
object (Page)
Show
Response
Loading...
GET

Fetching of Package Material Rules from database.

This API returns response of Package Materials Rules.
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular sale channel.
page_noquery
integer
| value >= 1
The current page number for paginated results.
Default Value : 1
page_sizequery
integer
| value >= 1
Determines the items to be displayed in a page
Default Value : 10
is_installedquery
string
Filter to get installed extensions only
Enum
GET
/service/platform/logistics/v1.0/company/{company_id}/courier-partner/list
Loading...
Response
200
Response status_code
Hide
Represents the response structure for installing a courier partner, containing a list of items related to the installation process and pagination information.
items
array of object (InstallCourierPartnerItemsSchema)
A list of items detailing the courier partner installation details, each item follows the structure defined in `InstallCourierPartnerItemsSchema`.
Show
page
object (Page)
Show
Examples
Parameters
company_id:
123
page_no:
1
page_size:
10
is_installed:
"true"
Response
Loading...
GET

Get self-ship details

Get the self-ship details such as TAT, activation status, and unit for a specified company.
Parameters
company_idpath
integer
Required
Unique identifier of the company
GET
/service/platform/logistics/v1.0/company/{company_id}/selfship
Loading...
Response
200
400
Successfully updated self-ship details
Hide
tat
integer
Turn around time in the specified unit, used to define the delivery time commitment.
is_active
boolean
Indicates whether the self-ship feature is active for the company.
unit
string
Specifies the unit of time for turn around time, such as hours or days.
Enum
Response
Loading...
PATCH

Update self-ship details

Updates the self-ship details such as TAT, activation status, and unit for a specified company.
Parameters
company_idpath
integer
Required
Unique identifier of the company
Request body
tat
integer
Required
Turn around time in the specified unit, used to define the delivery time commitment.
is_active
boolean
Required
Indicates whether the self-ship feature is active for the company.
unit
string
Required
Specifies the unit of time for turn around time, such as hours or days.
Enum
PATCH
/service/platform/logistics/v1.0/company/{company_id}/selfship
Loading...
Response
200
400
Successfully updated self-ship details
Hide
tat
integer
Turn around time in the specified unit, used to define the delivery time commitment.
is_active
boolean
Indicates whether the self-ship feature is active for the company.
unit
string
Specifies the unit of time for turn around time, such as hours or days.
Enum
Response
Loading...

Default

Default

Operations
POST
/service/platform/logistics/v2.0/company/{company_id}/courier-partners
# Get available company courier partners
POST

Get available company courier partners

Retrieves a list of courier partners available for shipping based on serviceability criteria, shipment details.
Parameters
company_idpath
integer
Required
The ID of the company.
Request body
to_serviceability
object (LocationDetailsServiceability)
Required
Show
shipments
array of object (CourierPartnerShipments)
Required
A list of shipments for the courier partner request.
Show
journey
string
Required
The journey details for the courier partner request.
payment_mode
string
The payment mode for the courier partner request.
skip_delivery_rules
boolean
This flag decided whether to run delivery rules configuration for delivery rule fetch or not.
POST
/service/platform/logistics/v2.0/company/{company_id}/courier-partners
Loading...
Response
200
400
Valid
Hide
Defines the result of generating shipments with courier partner details.
journey
string
Describes the shipment's journey or route.
to_serviceability
object (CourierPartnerToServiceability)
Show
shipments
array of object (CourierPartnerShipments)
List of shipments generated for the courier partner.
Show
payment_mode
string
Specifies the mode of payment for the shipment.
to_city
string
The destination city for the shipment.
is_cod_available
boolean
Indicates if cash on delivery (COD) is available.
Response
Loading...

Schemes

This resource allows sellers to create schemes, update, get which are predefined plans with various pre-configured settings. Sellers can then utilize these schemes to create accounts.

Operations
POST
/service/platform/logistics/v2.0/company/{company_id}/courier-partner/scheme
# Create Scheme for courier partner extension
GET
/service/platform/logistics/v2.0/company/{company_id}/courier-partner/scheme
# Get created Schemes for courier partner
PUT
/service/platform/logistics/v2.0/company/{company_id}/courier-partner/scheme/{scheme_id}
# Update Scheme for courier partner extension
GET
/service/platform/logistics/v2.0/company/{company_id}/courier-partner/scheme/{scheme_id}
# Get Scheme for courier partner extension by Id
POST
/service/platform/logistics/v2.0/company/{company_id}/localities/bulk-sample
# Sample File Download
GET
/service/platform/logistics/v2.0/company/{company_id}/localities/bulk-sample
# Get Serviceability TAT sample files generator status
POST

Create Scheme for courier partner extension

Create Scheme for courier partner extension
Parameters
company_idpath
integer
Required
The unique identifier of the company.
Request body
extension_id
string
Required
Unique identifier of courier partner extension.
scheme_id
string
Unique identifier for the scheme, used to fetch or modify scheme details.
name
string
Required
Name of the scheme.
default_forward_pickup_cutoff
string
Nullable
Default cutoff time for forward pickup (nullable), having 24hour time format HH:MM.
default_reverse_pickup_cutoff
string
Nullable
Default cutoff time for reverse pickup (nullable), having 24hour time format HH:MM.
default_cutoff_timezone
string
Nullable
Timezone for default cutoff time.
default_tat
object (CourierPartnerSchemeDefaultTat)
Show
weight
object (ArithmeticOperations)
Required
Show
volumetric_weight
object (ArithmeticOperations)
Show
transport_type
string
Required
Mode of transport associated with the courier partner scheme.
Enum
region
string
Required
Serviceable region associated with the courier partner scheme.
Enum
delivery_type
string
Required
Type of delivery associated with the courier partner scheme.
Enum
payment_mode
array of string
Required
Mode of payment associated with the courier partner scheme.
Enum
stage
string
Required
Indicates if the courier partner scheme is currently active or inactive.
Enum
status_updates
string
Describes the type of status updates provided by the courier partner (e.g., real-time, periodic).
ndr_attempts
integer
Indicates if the Non-Delivery Report (NDR) feature is supported by the courier partner.
qc_shipment_item_quantity
integer
Nullable
Defines the maximum quantity of items allowed in a quality check shipment.
non_qc_shipment_item_quantity
integer
Nullable
Defines the maximum quantity of items allowed in a non-quality check shipment.
feature
object (CourierPartnerSchemeFeatures)
Required
Show
POST
/service/platform/logistics/v2.0/company/{company_id}/courier-partner/scheme
Loading...
Response
200
400
Success Response Status
Hide
created_by
object (CreatedBy)
Nullable
Show
created_on
string
| date-time
The timestamp when the record was created.
modified_by
object (ModifiedBy)
Nullable
Show
modified_on
string
| date-time
The timestamp when the record last modified.
extension_id
string
Unique identifier of courier partner extension.
scheme_id
string
Unique identifier for the scheme, used to fetch or modify scheme details.
company_id
string
The unique identifier of the company.
name
string
Name of the scheme.
weight
object (ArithmeticOperations)
Show
volumetric_weight
object (ArithmeticOperations)
Show
transport_type
string
Mode of transport associated with the courier partner scheme.
Enum
region
string
Serviceable region associated with the courier partner scheme.
Enum
delivery_type
string
Type of delivery associated with the courier partner scheme.
Enum
payment_mode
array of string
Mode of payment associated with the courier partner scheme.
Enum
stage
string
Indicates if the courier partner scheme is currently active or inactive.
Enum
status_updates
string
Describes the type of status updates provided by the courier partner (e.g., real-time, periodic).
ndr_attempts
integer
Indicates if the Non-Delivery Report (NDR) feature is supported by the courier partner.
qc_shipment_item_quantity
integer
Nullable
Defines the maximum quantity of items allowed in a quality check shipment.
non_qc_shipment_item_quantity
integer
Nullable
Defines the maximum quantity of items allowed in a non-quality check shipment.
feature
object (CourierPartnerSchemeFeatures)
Show
default_forward_pickup_cutoff
string
Nullable
Default cutoff time for forward pickup (nullable), having 24hour time format HH:MM.
default_reverse_pickup_cutoff
string
Nullable
Default cutoff time for reverse pickup (nullable), having 24hour time format HH:MM.
default_cutoff_timezone
string
Nullable
Timezone for default cutoff time.
default_tat
object (CourierPartnerSchemeDefaultTat)
Show
Response
Loading...
GET

Get created Schemes for courier partner

Get created Schemes for courier partner
Parameters
company_idpath
integer
Required
The unique identifier of the company.
extension_idquery
string
Unique Identifier of courier partner extension.
scheme_typequery
string
Indicates whether a scheme is created by an admin for global purposes or customized for a specific company.
Enum
payment_modequery
string
Indicates payment mode for a scheme.
Enum
capabilitiesquery
array of string
Indicates whether the scheme possesses certain capabilities.
scheme_idsquery
array of string
List of scheme ids which need to be returned in the response.
qquery
string
The search string to search in the list of courier partners schemes by name.
GET
/service/platform/logistics/v2.0/company/{company_id}/courier-partner/scheme
Loading...
Response
200
422
Success Response Status
Hide
items
array of object (CourierPartnerSchemeModelSchema)
List of courier partner schemes
Show
page
object (Page)
Show
Response
Loading...
PUT

Update Scheme for courier partner extension

Update Scheme for courier partner extension
Parameters
scheme_idpath
string
Required
Unique identifier for the scheme, used to fetch or modify scheme details.
company_idpath
integer
Required
The unique identifier of the company.
Request body
name
string
Required
The name of the courier partner scheme.
weight
object (ArithmeticOperations)
Required
Show
volumetric_weight
object (ArithmeticOperations)
Show
transport_type
string
Required
The type of transport used in the courier service.
Enum
region
string
Required
The region for the service intra-city, inter-city, or inter-country.
Enum
delivery_type
string
Required
The type of delivery hyperlocal, same-day, one-day, two-day, etc.
Enum
payment_mode
array of string
Required
The accepted payment modes for the service Cash on Delivery (COD) or Prepaid.
Enum
stage
string
Required
The current status of the scheme either enabled or disabled.
Enum
status_updates
string
Describes the type of status updates provided by the courier partner (e.g., real-time, periodic).
ndr_attempts
integer
Indicates if the Non-Delivery Report (NDR) feature is supported by the courier partner.
qc_shipment_item_quantity
integer
Nullable
Defines the maximum quantity of items allowed in a quality check shipment.
non_qc_shipment_item_quantity
integer
Nullable
Defines the maximum quantity of items allowed in a non-quality check shipment.
feature
object (CourierPartnerSchemeFeatures)
Required
Show
PUT
/service/platform/logistics/v2.0/company/{company_id}/courier-partner/scheme/{scheme_id}
Loading...
Response
200
400
Success Response Status
Hide
created_by
object (CreatedBy)
Nullable
Show
created_on
string
| date-time
The timestamp when the record was created.
modified_by
object (ModifiedBy)
Nullable
Show
modified_on
string
| date-time
The timestamp when the record last modified.
extension_id
string
Unique identifier of courier partner extension.
scheme_id
string
Unique identifier for the scheme, used to fetch or modify scheme details.
company_id
string
The unique identifier of the company.
name
string
Name of the scheme.
weight
object (ArithmeticOperations)
Show
volumetric_weight
object (ArithmeticOperations)
Show
transport_type
string
Mode of transport associated with the courier partner scheme.
Enum
region
string
Serviceable region associated with the courier partner scheme.
Enum
delivery_type
string
Type of delivery associated with the courier partner scheme.
Enum
payment_mode
array of string
Mode of payment associated with the courier partner scheme.
Enum
stage
string
Indicates if the courier partner scheme is currently active or inactive.
Enum
status_updates
string
Describes the type of status updates provided by the courier partner (e.g., real-time, periodic).
ndr_attempts
integer
Indicates if the Non-Delivery Report (NDR) feature is supported by the courier partner.
qc_shipment_item_quantity
integer
Nullable
Defines the maximum quantity of items allowed in a quality check shipment.
non_qc_shipment_item_quantity
integer
Nullable
Defines the maximum quantity of items allowed in a non-quality check shipment.
feature
object (CourierPartnerSchemeFeatures)
Show
default_forward_pickup_cutoff
string
Nullable
Default cutoff time for forward pickup (nullable), having 24hour time format HH:MM.
default_reverse_pickup_cutoff
string
Nullable
Default cutoff time for reverse pickup (nullable), having 24hour time format HH:MM.
default_cutoff_timezone
string
Nullable
Timezone for default cutoff time.
default_tat
object (CourierPartnerSchemeDefaultTat)
Show
Response
Loading...
GET

Get Scheme for courier partner extension by Id

Update Scheme for courier partner extension by Id
Parameters
scheme_idpath
string
Required
Unique identifier for the scheme, used to fetch or modify scheme details.
company_idpath
integer
Required
The unique identifier of the company.
GET
/service/platform/logistics/v2.0/company/{company_id}/courier-partner/scheme/{scheme_id}
Loading...
Response
200
404
Success Response Status
Hide
created_by
object (CreatedBy)
Nullable
Show
created_on
string
| date-time
The timestamp when the record was created.
modified_by
object (ModifiedBy)
Nullable
Show
modified_on
string
| date-time
The timestamp when the record last modified.
extension_id
string
Unique identifier of courier partner extension.
scheme_id
string
Unique identifier for the scheme, used to fetch or modify scheme details.
company_id
string
The unique identifier of the company.
name
string
Name of the scheme.
weight
object (ArithmeticOperations)
Show
volumetric_weight
object (ArithmeticOperations)
Show
transport_type
string
Mode of transport associated with the courier partner scheme.
Enum
region
string
Serviceable region associated with the courier partner scheme.
Enum
delivery_type
string
Type of delivery associated with the courier partner scheme.
Enum
payment_mode
array of string
Mode of payment associated with the courier partner scheme.
Enum
stage
string
Indicates if the courier partner scheme is currently active or inactive.
Enum
status_updates
string
Describes the type of status updates provided by the courier partner (e.g., real-time, periodic).
ndr_attempts
integer
Indicates if the Non-Delivery Report (NDR) feature is supported by the courier partner.
qc_shipment_item_quantity
integer
Nullable
Defines the maximum quantity of items allowed in a quality check shipment.
non_qc_shipment_item_quantity
integer
Nullable
Defines the maximum quantity of items allowed in a non-quality check shipment.
feature
object (CourierPartnerSchemeFeatures)
Show
default_forward_pickup_cutoff
string
Nullable
Default cutoff time for forward pickup (nullable), having 24hour time format HH:MM.
default_reverse_pickup_cutoff
string
Nullable
Default cutoff time for reverse pickup (nullable), having 24hour time format HH:MM.
default_cutoff_timezone
string
Nullable
Timezone for default cutoff time.
default_tat
object (CourierPartnerSchemeDefaultTat)
Show
Response
Loading...
POST

Sample File Download

Sample File Download
Parameters
company_idpath
integer
Required
The unique identifier of the company.
Request body
country
string
Required
Country involved in the operation.
region
string
Required
Region involved in the operation.
type
string
Required
Type of operation, either serviceability or TAT.
Enum
POST
/service/platform/logistics/v2.0/company/{company_id}/localities/bulk-sample
Loading...
Response
200
400
Success Response Status
Hide
country
string
Name of the country.
region
string
Name of the region for which the tat/serviceability file needs to be downloaded.
type
string
Denotes the type of data.
Enum
batch_id
string
A unique identifier for the performed batch operation.
status
string
Current status of the request.
Enum
failed_records
array of object
Information of records which failed
file_path
string
Nullable
CDN path of the file.
Response
Loading...
GET

Get Serviceability TAT sample files generator status

Get Serviceability TAT sample file generator status
Parameters
page_noquery
integer
| value >= 1
The current page number for paginated results.
Default Value : 1
page_sizequery
integer
| value >= 1
Determines the items to be displayed in a page
Default Value : 12
batch_idquery
string
Batch id of the execution
company_idpath
integer
Required
The unique identifier of the company.
GET
/service/platform/logistics/v2.0/company/{company_id}/localities/bulk-sample
Loading...
Response
200
400
Response status_code
Hide
items
array of object (BulkRegionServiceabilityTatResultItemData)
Array of bulk region serviceability or TAT result items.
Show
page
object (Page)
Show
Response
Loading...

Selling Location

A selling location is nothing but a geographical location where your stores and warehouses exists. The Selling location resource efficiently matches customer orders with the nearest store, reducing delivery time for sellers and ensuring customers receive products quickly at the best price, enhancing overall satisfaction.

Operations
POST
/service/platform/logistics/v1.0/company/{company_id}/optimal-locations
# Get selling locations
POST

Get selling locations

Retrieves a list of selling locations that are optimally suited to fulfill a customer's order, based on product availability and other fulfillment criteria.
Parameters
company_idpath
integer
Required
Unique identifier of the company.
Request body
channel_id
string
Required
Unique identifier for the sales channel.
channel_type
string
Required
Specifies the type of sales channel.
Enum
channel_identifier
string
Identifies the specific marketplace or platform.
Enum
to_serviceability
object (LocationDetailsServiceability)
Required
Show
articles
array of object (OptimalLocationsArticles)
Required
List of articles to be considered for location optimization.
Show
POST
/service/platform/logistics/v1.0/company/{company_id}/optimal-locations
Loading...
Response
200
400
Optimal Locations Success
Hide
assigned_stores
array of object (OptimalLocationAssignedStoresResult)
List of stores where items are assigned.
Show
faulty_articles
array of object (Error)
List of articles with errors during assignment.
Show
Response
Loading...

Shipment Packaging

Packaging material refers to the materials used to wrap and protect products during shipping or storage. Shipments are collections of products being transported together. The Custom packaging resource enables sellers to create rules based on brand, category, or department, which can be applied to this shipments. These rules are then linked to specific packaging materials, detailing weight and quantity capacities. Sellers can thus efficiently combine or split shipments, optimizing delivery partner costs and enhancing logistics flexibility.

Operations
POST
/service/platform/logistics/v1.0/company/{company_id}/packaging-materials
# Create packaging material
GET
/service/platform/logistics/v1.0/company/{company_id}/packaging-materials
# Get packaging materials
POST
/service/platform/logistics/v1.0/company/{company_id}/packaging-material/rules
# Create packaging rule
GET
/service/platform/logistics/v1.0/company/{company_id}/packaging-material/rules/{rule_id}
# Get packaging material rule
PATCH
/service/platform/logistics/v1.0/company/{company_id}/packaging-material/rules/{rule_id}
# Update packaging rule
PATCH
/service/platform/logistics/v1.0/company/{company_id}/packaging-material/{package_material_id}
# Update packaging material
GET
/service/platform/logistics/v1.0/company/{company_id}/packaging-material/{package_material_id}
# Get packaging material
POST

Create packaging material

Creates a packaging material
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular seller.
page_noquery
integer
The current page number for paginated results.
Request body
name
string
Required
Name of the packaging material.
width
number
Required
Width of the packaging material dimensions in centimeter.
height
number
Required
Height of the packaging material dimensions in centimeter.
length
number
Required
Length of the packaging material dimensions in centimeter.
rules
array of object (PackageMaterialRule)
Product group rules associated with the packaging.
Show
store_ids
array of integer
Required
Stores where the packaging is avaiable.
Minimum Items : 1
weight
number
Required
Package's weight in gram.
error_rate
number
Required
Error Rate associated with the packaging dimensions.
package_type
string
Required
Type of package material.
Enum
size
string
Required
Physical size of the packaging.
Enum
media
array of string
Image urls associated with the packaging material.
channels
array of object (Channel)
Required
Sales channel where packaging is applicable.
Show
track_inventory
boolean
Denotes if the track of the inventory should be kept.
status
string
Required
Current status of the packaging material, if it is active or inactive.
Enum
max_weight
number
Maximum weight(grams) holding capacity.
package_vol_weight
number
Volumetric weight(grams) that a packaging material can carry.
auto_calculate
boolean
Denotes whether the volumetric weight(grams) should be auto calculated or not.
POST
/service/platform/logistics/v1.0/company/{company_id}/packaging-materials
Loading...
Response
201
400
Response status_code
Hide
company_id
integer
The unique identifier for the company.
name
string
The name of the package material.
id
string
Unique identifier for the package material.
width
number
The width of the package material.
height
number
The height of the package material.
length
number
The length of the package material.
rules
array of object (PackageMaterialRule)
List of rules associated with the package material.
Show
store_ids
array of integer
List of store IDs where the package material is available.
Minimum Items : 1
weight
number
The weight(grams) of the package material.
error_rate
number
The error rate associated with the package material.
package_type
string
The type of the package material.
Enum
size
string
Size of the package material.
media
array of string
List of media associated with the package material.
channels
array of object (Channel)
List of channels for the package material.
Show
track_inventory
boolean
Whether inventory tracking is enabled for the package material.
is_active
boolean
Indicates whether the package material is active.
status
string
The current status of the package material.
Enum
max_weight
number
Maximum weight(grams) the package material can handle.
package_vol_weight
number
Volumetric weight(grams) of the package material.
auto_calculate
boolean
Whether the weight(grams) of the package material is auto-calculated.
Response
Loading...
GET

Get packaging materials

Retrieves a list of packaging materials
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular sale channel.
page_noquery
integer
The current page number for paginated results.
Default Value : 1
page_sizequery
integer
| value >= 1
Determines the items to be displayed in a page
Default Value : 10
qquery
string
Used to search for matching results based on the provided input.
sizequery
string
Filters items based on given size
package_typequery
string
Filters items based on given package_type
Enum
GET
/service/platform/logistics/v1.0/company/{company_id}/packaging-materials
Loading...
Response
200
400
Response status_code
Hide
items
array of object (PackageItem)
Contains the list of package items with pagination details.
Show
page
object (PackagePageInfo)
Show
Response
Loading...
POST

Create packaging rule

Creates a packaging rule
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular seller.
Request body
name
string
Required
The name of the packaging rule.
company_id
integer
Required
The unique identifier for the company.
category_id
object (PackageRuleCategory)
Show
product_id
object (PackageRuleProduct)
Show
product_tag
object (PackageRuleProductTag)
Show
department_id
object (PackageRuleDepartmentId)
Show
product_attributes
object (PackageRuleProductAttributes)
Show
type
string
Required
Type of the packaging rule.
is_active
boolean
Indicates if the packaging rule is active.
POST
/service/platform/logistics/v1.0/company/{company_id}/packaging-material/rules
Loading...
Response
201
400
Response status_code
Hide
id
string
Unique id of a package rule.
name
string
Name of a package rule.
company_id
integer
Unique identifier of a company associated with the package rule.
type
string
Type of the rule created.
is_active
boolean
Denotes if the rule is active or inactive.
product_tag
object (PackageRuleProductTag)
Show
product_id
object (PackageRuleProduct)
Show
department_id
object (PackageRuleDepartmentId)
Show
product_attributes
object (PackageRuleProductAttributes)
Show
category_id
object (PackageRuleCategory)
Show
Response
Loading...
GET

Get packaging material rule

Retrieve packaging rule details.
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular seller.
rule_idpath
string
Required
A `package_material_rule_id` is a unique identifier for a Package Material Rule
GET
/service/platform/logistics/v1.0/company/{company_id}/packaging-material/rules/{rule_id}
Loading...
Response
200
404
Response status_code
Hide
id
string
Unique id of a package rule.
name
string
Name of a package rule.
company_id
integer
Unique identifier of a company associated with the package rule.
type
string
Type of the rule created.
is_active
boolean
Denotes if the rule is active or inactive.
product_tag
object (PackageRuleProductTag)
Show
product_id
object (PackageRuleProduct)
Show
department_id
object (PackageRuleDepartmentId)
Show
product_attributes
object (PackageRuleProductAttributes)
Show
category_id
object (PackageRuleCategory)
Show
Response
Loading...
PATCH

Update packaging rule

Update an existing packaging rule
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular seller.
rule_idpath
string
Required
A `package_material_rule_id` is a unique identifier for a Package Material Rule
Request body
name
string
Required
The name of the packaging rule.
company_id
integer
Required
The unique identifier for the company.
category_id
object (PackageRuleCategory)
Show
product_id
object (PackageRuleProduct)
Show
product_tag
object (PackageRuleProductTag)
Show
department_id
object (PackageRuleDepartmentId)
Show
product_attributes
object (PackageRuleProductAttributes)
Show
type
string
Required
Type of the packaging rule.
is_active
boolean
Indicates if the packaging rule is active.
PATCH
/service/platform/logistics/v1.0/company/{company_id}/packaging-material/rules/{rule_id}
Loading...
Response
200
400
Response status_code
Hide
id
string
Unique id of a package rule.
name
string
Name of a package rule.
company_id
integer
Unique identifier of a company associated with the package rule.
type
string
Type of the rule created.
is_active
boolean
Denotes if the rule is active or inactive.
product_tag
object (PackageRuleProductTag)
Show
product_id
object (PackageRuleProduct)
Show
department_id
object (PackageRuleDepartmentId)
Show
product_attributes
object (PackageRuleProductAttributes)
Show
category_id
object (PackageRuleCategory)
Show
Response
Loading...
PATCH

Update packaging material

Update an existing packaging material
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular seller.
package_material_idpath
string
Required
A `package_material_id` is a unique identifier for a Package Material
Request body
name
string
Required
Name of the packaging material.
width
number
Required
Width of the packaging material dimensions in centimeter.
height
number
Required
Height of the packaging material dimensions in centimeter.
length
number
Required
Length of the packaging material dimensions in centimeter.
rules
array of object (PackageMaterialRule)
Product group rules associated with the packaging.
Show
store_ids
array of integer
Required
Stores where the packaging is avaiable.
Minimum Items : 1
weight
number
Required
Package's weight in gram.
error_rate
number
Required
Error Rate associated with the packaging dimensions.
package_type
string
Required
Type of package material.
Enum
size
string
Required
Physical size of the packaging.
Enum
media
array of string
Image urls associated with the packaging material.
channels
array of object (Channel)
Required
Sales channel where packaging is applicable.
Show
track_inventory
boolean
Denotes if the track of the inventory should be kept.
status
string
Required
Current status of the packaging material, if it is active or inactive.
Enum
max_weight
number
Maximum weight(grams) holding capacity.
package_vol_weight
number
Volumetric weight(grams) that a packaging material can carry.
auto_calculate
boolean
Denotes whether the volumetric weight(grams) should be auto calculated or not.
PATCH
/service/platform/logistics/v1.0/company/{company_id}/packaging-material/{package_material_id}
Loading...
Response
200
400
Response status_code
Hide
company_id
integer
The unique identifier for the company.
name
string
The name of the package material.
id
string
Unique identifier for the package material.
width
number
The width of the package material.
height
number
The height of the package material.
length
number
The length of the package material.
rules
array of object (PackageMaterialRule)
List of rules associated with the package material.
Show
store_ids
array of integer
List of store IDs where the package material is available.
Minimum Items : 1
weight
number
The weight(grams) of the package material.
error_rate
number
The error rate associated with the package material.
package_type
string
The type of the package material.
Enum
size
string
Size of the package material.
media
array of string
List of media associated with the package material.
channels
array of object (Channel)
List of channels for the package material.
Show
track_inventory
boolean
Whether inventory tracking is enabled for the package material.
is_active
boolean
Indicates whether the package material is active.
status
string
The current status of the package material.
Enum
max_weight
number
Maximum weight(grams) the package material can handle.
package_vol_weight
number
Volumetric weight(grams) of the package material.
auto_calculate
boolean
Whether the weight(grams) of the package material is auto-calculated.
Response
Loading...
GET

Get packaging material

Retrieve a single packaging material
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular sale channel.
package_material_idpath
string
Required
A `package_material_id` is a unique identifier for a Package Material
GET
/service/platform/logistics/v1.0/company/{company_id}/packaging-material/{package_material_id}
Loading...
Response
200
404
Response status_code
Hide
Represents a package item with various attributes such as weight(grams), size, rules, and status.
name
string
The name of the package item.
weight
number
The weight(grams) of the package item.
track_inventory
boolean
Indicates if the inventory is tracked for this package item.
length
number
The length of the package item.
channels
array of object (PackageChannel)
A list of channels associated with the package item.
Show
package_type
string
Type of package material.
Enum
rules
array of object (PackageRuleSchema)
A list of rules associated with the package item.
Show
height
number
The height of the package item.
error_rate
number
The error rate associated with the package item.
width
number
The width of the package item.
is_active
boolean
Indicates if the package item is active.
size
string
The size of the package item.
company_id
integer
The company ID associated with the package item.
max_weight
number
The maximum weight(grams) of the package item.
media
array of object
Additional media associated with the package item.
package_vol_weight
number
The volumetric weight(grams) of the package item.
status
string
The status of the package item.
Enum
auto_calculate
boolean
Indicates if the package item is auto-calculated.
id
string
The unique identifier for the package item.
Response
Loading...